corelinux::Request Class Reference

A Request is used for type identification to a handler object. More...

`#include <Request.hpp>`

## Public Member Functions

| Request (void)
| Default Constructor.
| Request (RequestCref)
| Copy Constructor. More...
virtual | ~Request (void)
| Virtual Destructor.
RequestRef | operator= (RequestCref)
| Assignment operator overload. More...
bool | operator== (RequestCref) const
| Equality operator overload. More...
bool | operator!= (RequestCref) const
| Non-equality operator overload. More...

## Detailed Description

A Request is used for type identification to a handler object.

See Also
  Handler

## Constructor & Destructor Documentation

corelinux::Request::Request | ( | RequestCref |  | ) |

Copy Constructor.

Parameters

  Request | const reference

## Member Function Documentation

bool corelinux::Request::operator!= | ( | RequestCref | aRef | ) | const

Non-equality operator overload.

Parameters

  Request | const reference

Returns
  false if equal, true otherwise

RequestRef corelinux::Request::operator= | ( | RequestCref |  | ) |

Assignment operator overload.

Parameters

  Request | const reference

Returns
  Request reference to self

bool corelinux::Request::operator== | ( | RequestCref | aRef | ) | const

Equality operator overload.

Parameters

  Request | const reference

Returns
  true if equal, false otherwise

The documentation for this class was generated from the following files:

- Request.hpp
- Request.cpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium